library(shiny)
library(shinyjs)
library(tidyverse)
library(datalibaba)
library(purrr)
library(shinygouv)
library(sf)
library(mapview)
library(DBI)
# chargement du datamart en fonction du contexte d'exécution de l'app
nom_local <- "datamart_catalogue.RData"
adresse_T <- paste0("T:/datalab/SCTE/CATALOGUE/PRODUCTION/", nom_local)
if(file.exists(adresse_T)) load(file = adresse_T) else load(nom_local)

# A passer dans datamartage.R
choix_bases <- setNames(bases_avec_commentaires$base, bases_avec_commentaires$display_name)
commentaires_tables <- filter(commentaires_tables, nom_col == "" | is.na(nom_col)) %>%
  distinct()
## Explo différence nombre de tables dans les deux datasets ~ 30 enregistrements d'écarts
# anti_join(commentaires_tables, tb_sch_base, by = c("nom_schema", "nom_table" = "table", "base")) %>%  View
# anti_join(tb_sch_base, commentaires_tables, by = c("nom_schema", "table" = "nom_table", "base")) %>%  View
